
import time
from common import Material

from video_rewriting.video_processor import VideoProcessor
def video_task_start():
    """处理视频任务，返回用户名并根据结果决定延迟时间"""
    data = Material.feishu_list()[10]
    while True:
        try:
            print("开始执行任务")
            mark = VideoProcessor.main(data)
            print(f"返回用户名: {mark}")
            time.sleep(10 if mark else 120)  # 根据 mark 是否为空设置延迟
        except Exception as e:
            print("处理任务时出现异常:", e)
            time.sleep(10)
            continue
if __name__ == '__main__':
    video_task_start()
