from common.sql_help import sqlCollect


class SPHDD:

    @classmethod
    def get_sphdd_data(cls, url):
        data_list = sqlCollect.get_shp_dd_data(url)
        list = []
        if data_list:
            for data in data_list:
                video_id = data[0]
                old_title = data[1]
                # author_id = data[2]
                author_name = data[3]
                cover_url = data[4]
                video_url = data[5]
                if video_url and cover_url:
                    video_duration = data[6]
                    from_user_id = data[7]
                    from_user_name = data[8]
                    from_group_id = data[9]
                    from_group_name = data[10]
                    source = data[11]
                    all_data = {"video_id": video_id, "cover": cover_url, "video_url": video_url, "rule": author_name,
                                "old_title": old_title, "from_user_name": from_user_name, "from_group_name": from_group_name, "source": source}
                    list.append(all_data)
            return list
        return list




if __name__ == '__main__':

    SPHDD.get_sphdd_data("杨昊")